% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umxParan}
\alias{umxParan}
\title{A wrapper to make paran easier to use.
Just automates applying \code{\link[=complete.cases]{complete.cases()}}}
\usage{
umxParan(df, cols = NA, graph = TRUE, mapStrings = NULL)
}
\arguments{
\item{df}{The df (just the relevant columns)}

\item{cols}{(optional) list of columns (default = use all)}

\item{graph}{Whether to graph.}

\item{mapStrings}{optional mapping if cols are strings}
}
\value{
\itemize{
\item nothing
}
}
\description{
A wrapper to make paran easier to use.
Just automates applying \code{\link[=complete.cases]{complete.cases()}}
}
\examples{
library(psych)
library(psychTools)
data(bfi)
umxParan(bfi[, paste0("A", 1:5)])
umxParan(bfi, cols= paste0("A", 1:5))
# umxParan(bfi, paste0("AB", 1))
}
\seealso{
Other Miscellaneous Stats Functions: 
\code{\link{FishersMethod}()},
\code{\link{SE_from_p}()},
\code{\link{geometric_mean}()},
\code{\link{harmonic_mean}()},
\code{\link{oddsratio}()},
\code{\link{reliability}()},
\code{\link{umxCov2cor}()},
\code{\link{umxHetCor}()},
\code{\link{umxWeightedAIC}()},
\code{\link{umx_apply}()},
\code{\link{umx_cor}()},
\code{\link{umx_means}()},
\code{\link{umx_r_test}()},
\code{\link{umx_round}()},
\code{\link{umx_scale}()},
\code{\link{umx_var}()},
\code{\link{umx}}
}
\concept{Miscellaneous Stats Functions}
