% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_set_dollar_symbol}
\alias{umx_set_dollar_symbol}
\title{Set the symbol for money}
\usage{
umx_set_dollar_symbol(umx.dollar.symbol = NULL, silent = FALSE)
}
\arguments{
\item{umx.dollar.symbol}{symbol for money calculations.}

\item{silent}{If TRUE, no message will be printed.}
}
\value{
- Current umx.dollar.symbol
}
\description{
Set umx_set_dollar_symbol (used in e.g. [fin_interest()]
}
\examples{
library(umx)
umx_set_dollar_symbol() # show current state
old = umx_set_dollar_symbol(silent=TRUE) # store existing value
fin_interest(100)
umx_set_dollar_symbol(old)    # reinstate
}
\seealso{
Other Get and set: 
\code{\link{umx_get_checkpoint}()},
\code{\link{umx_get_options}()},
\code{\link{umx_set_auto_plot}()},
\code{\link{umx_set_auto_run}()},
\code{\link{umx_set_checkpoint}()},
\code{\link{umx_set_condensed_slots}()},
\code{\link{umx_set_cores}()},
\code{\link{umx_set_data_variance_check}()},
\code{\link{umx_set_optimization_options}()},
\code{\link{umx_set_optimizer}()},
\code{\link{umx_set_plot_file_suffix}()},
\code{\link{umx_set_plot_format}()},
\code{\link{umx_set_plot_use_hrbrthemes}()},
\code{\link{umx_set_separator}()},
\code{\link{umx_set_silent}()},
\code{\link{umx_set_table_format}()},
\code{\link{umx}}
}
\concept{Get and set}
